Reactor Dependency Convergence

Legend:
[Error]
At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 8
Number of dependencies (NOD): 38
Number of unique artifacts (NOA): 42
Number of version-conflicting artifacts (NOC): 4
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA):
[Error]
 90 %
Ready for release (100% convergence and no SNAPSHOTS):
[Error]
 Error
You do not have 100% convergence.

Dependencies used in modules

org.apache.maven:maven-artifact

[Error]
3.0
  1. org.apache.creadur.whisker:apache-whisker-maven-plugin:maven-plugin:0.2-SNAPSHOT
    \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.6.1:provided
       \- (org.apache.maven:maven-artifact:jar:3.0:provided - omitted for conflict with 3.8.1)

3.8.1
  1. org.apache.creadur.whisker:apache-whisker-maven-plugin:maven-plugin:0.2-SNAPSHOT
    \- org.apache.maven:maven-plugin-api:jar:3.8.1:compile
       \- org.apache.maven:maven-artifact:jar:3.8.1:compile

org.codehaus.plexus:plexus-classworlds

[Error]
2.5.2
  1. org.apache.creadur.whisker:apache-whisker-maven-plugin:maven-plugin:0.2-SNAPSHOT
    \- org.apache.maven:maven-plugin-api:jar:3.8.1:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
          \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile - omitted for conflict with 2.6.0)

2.6.0
  1. org.apache.creadur.whisker:apache-whisker-maven-plugin:maven-plugin:0.2-SNAPSHOT
    \- org.apache.maven:maven-plugin-api:jar:3.8.1:compile
       \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile

org.codehaus.plexus:plexus-utils

[Error]
3.0.17
  1. org.apache.creadur.whisker:apache-whisker-maven-plugin:maven-plugin:0.2-SNAPSHOT
    \- org.apache.maven:maven-plugin-api:jar:3.8.1:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.2.1)

3.2.1
  1. org.apache.creadur.whisker:apache-whisker-maven-plugin:maven-plugin:0.2-SNAPSHOT
    \- org.apache.maven:maven-plugin-api:jar:3.8.1:compile
       +- org.apache.maven:maven-model:jar:3.8.1:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
       +- org.apache.maven:maven-artifact:jar:3.8.1:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
       \- org.codehaus.plexus:plexus-utils:jar:3.2.1:compile

org.hamcrest:hamcrest-core

[Error]
1.3
  1. org.apache.creadur.whisker:apache-whisker-velocity:jar:0.2-SNAPSHOT
    \- junit:junit:jar:4.13.2:test
       \- org.hamcrest:hamcrest-core:jar:1.3:test

2.1
  1. org.apache.creadur.whisker:apache-whisker-velocity:jar:0.2-SNAPSHOT
    \- org.jmock:jmock-junit3:jar:2.12.0:test
       \- org.jmock:jmock:jar:2.12.0:test
          \- org.hamcrest:hamcrest-library:jar:2.1:test
             \- (org.hamcrest:hamcrest-core:jar:2.1:test - omitted for conflict with 1.3)